/***********************************************************************
* Menu Items                                                           *
***********************************************************************/

#define IDM_FILE_CALIBRATE  100
#define IDM_FILE_GO         101
#define IDM_FILE_STOP       102
#define IDM_FILE_EXIT       103
#define IDM_FILE_ABOUT      104


/***********************************************************************
* System Constants                                                     *
***********************************************************************/


/***********************************************************************
* Strings                                                              *
***********************************************************************/

#define String_IDS_MAINCLASSNAME "RhsEatCPUWClass"
#define String_IDS_TITLE         "EatCPU"


/***********************************************************************
* Function prototypes                                                  *
***********************************************************************/

void Calibrate(void);
void StartCounting(void);
void StopCounting(void);

const char* GetLastErrorMessage(void);
int winprintf(char *Format, ...);

