//**********************************************************************
//**********************************************************************

#ifndef _INC_CRHSREGISTRY
#include "rhsreg.h"
#endif

#ifndef _INC_RHSMAINWND
#define _INC_RHSMAINWND


//**********************************************************************
//**********************************************************************

class CRhsMainWnd
{

// Methods

  public:
    CRhsMainWnd(void);
    ~CRhsMainWnd(void);

    BOOL Open(HINSTANCE hInstance, char* Title, int Left, int Top, int Width, int Depth, char* Menu = NULL, HICON hIcon = NULL, HBRUSH hBrush = NULL);
    BOOL FitOnScreen(BOOL Origin, BOOL Size);

    void SetCounters(int Percent, int Count);

    long OnCommand(WORD wNotifyCode, WORD wID, HWND hwndCtl);

    long OnSize(UINT fwSizeType);
    long OnMove(void);
    long OnPaint(HDC hDC);
    long OnDestroy(void);

// Variables

  private:
    HINSTANCE m_hInstance;
    HWND      m_hWnd;

    CRhsRegistry m_Registry;
};


//**********************************************************************
//**********************************************************************

#endif // ifndef _INC_RHSMAINWND

