//**********************************************************************
//**********************************************************************

#ifndef _INC_CRHSREGISTRY
#define _INC_CRHSREGISTRY

#define LEN_REGISTRYPATH 255


//**********************************************************************
//**********************************************************************

class CRhsRegistry
{

// Methods

public:
  CRhsRegistry(void);
  CRhsRegistry(char* Key);
  ~CRhsRegistry(void);

  BOOL SetKey(char* Key);
  BOOL GetKey(char* Key, int Len);

  BOOL  WriteString(char* Key, char* String);
  BOOL  WriteInt(char* Key, int Value);
  char* GetString(char* Key, char* Default, int Len);
  int   GetInt(char* Key, int Default);

// Variables

protected:
  char m_Key[LEN_REGISTRYPATH+1];

};


//**********************************************************************
//**********************************************************************

#endif // _INC_CRHSREGISTRY

